python-keystonemiddleware (4.22.0-1.0~u16.04+mcp13) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 799f17a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 8d76546 Merge "Make sure audit middleware use own context" into
    stable/queens

  [ Leehom Li (feli5) ]
  * b149948 Make sure audit middleware use own context

  [ MCP Jenkins ]
  * 80d9ce1 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Bernhard M. Wiedemann ]
  * 8b5202e Make tests pass in 2022

  [ MCP Jenkins ]
  * 361f49d Merge the tip of origin/stable/queens into origin/mcp/queens
  * e026871 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Leehom Li (feli5) ]
  * 3f90a86 Make sure audit middleware use own context

  [ MCP Jenkins ]
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 08 Aug 2020 06:55:32 +0000

python-keystonemiddleware (4.22.0-1.0~u16.04+mcp10) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Leehom Li (feli5) ]
  * b149948 Make sure audit middleware use own context

  [ MCP Jenkins ]
  * 80d9ce1 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Bernhard M. Wiedemann ]
  * 8b5202e Make tests pass in 2022

  [ MCP Jenkins ]
  * 361f49d Merge the tip of origin/stable/queens into origin/mcp/queens
  * e026871 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 24 Apr 2020 11:15:24 +0000

python-keystonemiddleware (4.22.0-1.0~u16.04+mcp9) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 80d9ce1 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Bernhard M. Wiedemann ]
  * 8b5202e Make tests pass in 2022

  [ MCP Jenkins ]
  * 361f49d Merge the tip of origin/stable/queens into origin/mcp/queens
  * e026871 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 29 Jan 2020 06:55:52 +0000

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp20) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 361f49d Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Guang Yee ]
  * bc03de9 Skip the services with no endpoints when parsing service
    catalog

  [ Lance Bragstad ]
  * d68942d Update stable/queens upper constraints file location

  [ MCP Jenkins ]
  * e026871 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ OpenDev Sysadmins ]
  * 3487771 OpenDev Migration Patch

  [ MCP Jenkins ]
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * e0e1cde Merge "Add option to disable using oslo_message notifier"
    into stable/queens

  [ MCP Jenkins ]
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 30ccceb import zuul job settings from project-config

  [ MCP Jenkins ]
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * c21f7f4 Add arguments for MemcacheClientPool init

  [ Morgan Fainberg ]
  * 3fc10b2 Fix KeystoneMiddleware memcachepool abstraction

  [ MCP Jenkins ]
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * 1b617cf Fix the doc CI failure

  [ Stefan Nica ]
  * b8f34e9 Add option to disable using oslo_message notifier

  [ Zuul ]
  * cffb543 Merge "Updated from global requirements" into stable/queens

  [ OpenStack Proposal Bot ]
  * 05f5744 Updated from global requirements

  [ OpenStack Release Bot ]
  * 0e6b10a Update UPPER_CONSTRAINTS_FILE for stable/queens
  * cbb8231 Update .gitreview for stable/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 28 Aug 2019 06:55:55 +0000

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp17) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * e026871 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ OpenDev Sysadmins ]
  * 3487771 OpenDev Migration Patch

  [ MCP Jenkins ]
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * e0e1cde Merge "Add option to disable using oslo_message notifier"
    into stable/queens

  [ MCP Jenkins ]
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 30ccceb import zuul job settings from project-config

  [ MCP Jenkins ]
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * c21f7f4 Add arguments for MemcacheClientPool init

  [ Morgan Fainberg ]
  * 3fc10b2 Fix KeystoneMiddleware memcachepool abstraction

  [ MCP Jenkins ]
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * 1b617cf Fix the doc CI failure

  [ Stefan Nica ]
  * b8f34e9 Add option to disable using oslo_message notifier

  [ Zuul ]
  * cffb543 Merge "Updated from global requirements" into stable/queens

  [ OpenStack Proposal Bot ]
  * 05f5744 Updated from global requirements

  [ OpenStack Release Bot ]
  * 0e6b10a Update UPPER_CONSTRAINTS_FILE for stable/queens
  * cbb8231 Update .gitreview for stable/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 04 May 2019 00:57:46 +0000

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp15) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 8f04500 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * e0e1cde Merge "Add option to disable using oslo_message notifier"
    into stable/queens

  [ MCP Jenkins ]
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 30ccceb import zuul job settings from project-config

  [ MCP Jenkins ]
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * c21f7f4 Add arguments for MemcacheClientPool init

  [ Morgan Fainberg ]
  * 3fc10b2 Fix KeystoneMiddleware memcachepool abstraction

  [ MCP Jenkins ]
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * 1b617cf Fix the doc CI failure

  [ Stefan Nica ]
  * b8f34e9 Add option to disable using oslo_message notifier

  [ Zuul ]
  * cffb543 Merge "Updated from global requirements" into stable/queens

  [ OpenStack Proposal Bot ]
  * 05f5744 Updated from global requirements

  [ OpenStack Release Bot ]
  * 0e6b10a Update UPPER_CONSTRAINTS_FILE for stable/queens
  * cbb8231 Update .gitreview for stable/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 13 Apr 2019 06:56:40 +0000

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp12) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 7c084fc Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 30ccceb import zuul job settings from project-config

  [ MCP Jenkins ]
  * 609fc6b Merge the tip of origin/stable/queens into origin/mcp/queens
  * fc9dda9 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * c21f7f4 Add arguments for MemcacheClientPool init

  [ Morgan Fainberg ]
  * 3fc10b2 Fix KeystoneMiddleware memcachepool abstraction

  [ MCP Jenkins ]
  * 7e26d26 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ wangxiyuan ]
  * 1b617cf Fix the doc CI failure

  [ Zuul ]
  * cffb543 Merge "Updated from global requirements" into stable/queens

  [ OpenStack Proposal Bot ]
  * 05f5744 Updated from global requirements

  [ OpenStack Release Bot ]
  * 0e6b10a Update UPPER_CONSTRAINTS_FILE for stable/queens
  * cbb8231 Update .gitreview for stable/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 27 Sep 2018 22:27:08 +0000

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp2) mcp; urgency=medium

  * d/control: Update maintainer.

 -- Ivan Udovichenko <mos-linux@mirantis.com>  Wed, 18 Apr 2018 11:54:41 +0300

python-keystonemiddleware (4.21.0-1.0~u16.04+mcp1) mcp; urgency=medium

  * Source: http://ubuntu-cloud.archive.canonical.com/ubuntu/pool/
            main/p/python-keystonemiddleware/python-keystonemiddleware_4.21.0-0ubuntu1~cloud0.dsc

 -- Ivan Udovichenko <mos-linux@mirantis.com>  Wed, 04 Apr 2018 16:11:24 +0300

python-keystonemiddleware (4.21.0-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 24 Jan 2018 20:34:50 +0000

python-keystonemiddleware (4.21.0-0ubuntu1) bionic; urgency=medium

  * d/*: wrap-and-sort -bast.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 13:12:21 -0500

python-keystonemiddleware (4.18.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 11:52:33 -0500

python-keystonemiddleware (4.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/no-intersphinx.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 09:50:22 -0400

python-keystonemiddleware (4.16.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:56 -0400

python-keystonemiddleware (4.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 16:07:34 -0400

python-keystonemiddleware (4.15.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.
  * Refresh patches.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:23 +0100

python-keystonemiddleware (4.14.0-0ubuntu1.2) zesty; urgency=medium

  * d/control: Drop python-bandit as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 14:46:28 -0500

python-keystonemiddleware (4.14.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 07:30:52 -0500

python-keystonemiddleware (4.13.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/patches/fix-webob-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2017 10:37:29 -0500

python-keystonemiddleware (4.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Wrap and sort.
  * debian/patches/fix-webob-tests.patch: Fix unit tests failure.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jan 2017 09:10:19 -0500

python-keystonemiddleware (4.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/re-add-missing-auth-options.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:11:04 -0500

python-keystonemiddleware (4.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 13:31:13 -0500

python-keystonemiddleware (4.10.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/tests: Add autopkgtest
  * debian/control: Add python-webtest depdendency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Oct 2016 09:35:13 -0400

python-keystonemiddleware (4.9.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy upstream version of file.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/*: Rebased.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:56:36 +0100

python-keystonemiddleware (4.4.0-3) unstable; urgency=medium

  * Re-add missing auth options in oslo-config-generator:
    - Add re-add-missing-auth-options.patch
    - Disable now failing unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 22:16:03 +0000

python-keystonemiddleware (4.4.0-2) unstable; urgency=medium

  * Added git as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:22:51 +0000

python-keystonemiddleware (4.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:21:37 +0200

python-keystonemiddleware (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also test with Python 3.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 16:29:42 +0100

python-keystonemiddleware (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 11:02:00 +0100

python-keystonemiddleware (2.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:04:17 +0000

python-keystonemiddleware (2.3.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Oct 2015 19:48:25 +0200

python-keystonemiddleware (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Align dependencies with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2015 14:42:41 -0400

python-keystonemiddleware (2.1.0-2) experimental; urgency=medium

  * Removed python-bandit build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:50:50 +0000

python-keystonemiddleware (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 07:38:14 +0000

python-keystonemiddleware (1.5.0-2) unstable; urgency=high

  * CVE-2015-1852: S3Token TLS cert verification option not honored. Applied
    upstream patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 08:28:00 +0000

python-keystonemiddleware (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed nature.css from debian/copyright (and it's BSD licence).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2015 10:08:46 +0200

python-keystonemiddleware (1.0.0-3) unstable; urgency=medium

  * Added CVE-2014-7144_convert_the_conf_value_into_correct_type.patch. Thanks
    to Luciano Bello <luciano@debian.org> for the report (Closes: #762748).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 07:16:29 +0000

python-keystonemiddleware (1.0.0-2) unstable; urgency=medium

  * Do not attempt to run unit tests in Python 2.6, as it needs the discover
    package, which we don't want as build-depends.
  * Removes intersphinx plugin from docs build.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 00:29:44 +0800

python-keystonemiddleware (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #755135)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jul 2014 14:25:47 +0800
